procedure WriteErrorReport();
begin
	writeln('An error occurred in Prometheus with the following details:');
	writeln('   SEVERITY:',PrometheusVideo.Error.Severity);
	writeln('   DESCRIPTOR:',PrometheusVideo.Error.Descriptor);
	writeln('   ERROR NAME:',PrometheusVideo.Error.NameStr);
	writeln('   OTHER INFORMATION:',PrometheusVideo.Error.Data);
end;

procedure ReportError(NmStr: String; Sev: QWord; Desc: QWord; Dat: String);
begin
	PrometheusVideo.Error.Descriptor := Desc;
	PrometheusVideo.Error.Severity := Sev;
	PrometheusVideo.Error.NameStr := NmStr;
	PrometheusVideo.Error.Data := Dat;
	PrometheusVideo.Error.ID := PrometheusVideo.Error.ID + 1;
end;

function GetLastError(): Error;
begin
	GetLastError := PrometheusVideo.Error;
end;

function GetLastErrorID(): Int64;
begin
	GetLastErrorID := PrometheusVideo.Error.ID;
end;
